#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ELeaderboardDataRequest {
    Global = 0,
    GlobalAroundUser = 1,
    Friends = 2,
    Users = 3,
}

impl ELeaderboardDataRequest {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Global as i32 => Some(Self::Global),
            x if x == Self::GlobalAroundUser as i32 => Some(Self::GlobalAroundUser),
            x if x == Self::Friends as i32 => Some(Self::Friends),
            x if x == Self::Users as i32 => Some(Self::Users),
            _ => None,
        }
    }
}
